net.sourceforge.pmd.cpd

## Class CPDConfiguration

- java.lang.Object
- - net.sourceforge.pmd.AbstractConfiguration
  - - net.sourceforge.pmd.cpd.CPDConfiguration

-     public class CPDConfiguration
      extends AbstractConfiguration

  Author:
    Brian Remedios

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CPDConfiguration(int theMinTileSize, Language theLanguage, String theEncoding)`
    `CPDConfiguration(String[] args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FilenameFilter` | `filenameFilter()`
    `static boolean` | `findBooleanSwitch(String[] args, String name)`
    `static String` | `findOptionalStringValue(String[] args, String name, String defaultValue)`
    `static Renderer` | `getRendererFromString(String name)`
    `Language` | `language()`
    `int` | `minimumTileSize()`
    `Renderer` | `renderer()`
    `void` | `setEncoding(String theEncoding)`
    `boolean` | `skipDuplicates()`
    `void` | `skipDuplicates(boolean flag)`
    `SourceCode` | `sourceCodeFor(File file)`
    `Tokenizer` | `tokenizer()`

    - ### Methods inherited from class net.sourceforge.pmd.AbstractConfiguration

      `getSourceEncoding, isDebug, setDebug, setSourceEncoding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CPDConfiguration

          public CPDConfiguration(String[] args)

    - #### CPDConfiguration

          public CPDConfiguration(int theMinTileSize,
                          Language theLanguage,
                          String theEncoding)

  - ### Method Detail

    - #### setEncoding

          public void setEncoding(String theEncoding)

    - #### sourceCodeFor

          public SourceCode sourceCodeFor(File file)

    - #### language

          public Language language()

    - #### minimumTileSize

          public int minimumTileSize()

    - #### skipDuplicates

          public boolean skipDuplicates()

    - #### skipDuplicates

          public void skipDuplicates(boolean flag)

    - #### filenameFilter

          public FilenameFilter filenameFilter()

    - #### tokenizer

          public Tokenizer tokenizer()

    - #### renderer

          public Renderer renderer()

    - #### getRendererFromString

          public static Renderer getRendererFromString(String name)

    - #### findBooleanSwitch

          public static boolean findBooleanSwitch(String[] args,
                                  String name)

    - #### findOptionalStringValue

          public static String findOptionalStringValue(String[] args,
                                       String name,
                                       String defaultValue)

Copyright © 2002-2013 InfoEther. All Rights Reserved.